/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * LogHelper.java
 *
 * Created on December 13, 2000, 9:20 AM
 */

package com.sun.enterprise.config.util;

/**
 * LoggerHelper is needed since actual logger
 * may not be available during the server startup
 * This class does the switching to actual logger
 * when the time is right.
 *
 * @author  sridatta
 */
public class LoggerHelper {
    
    /** Creates a new instance of LogHelper */
    public LoggerHelper() {
    }
    
    public static void fine(String message) {
        //tbd FIXME NYI
//        System.out.println(message);
    }
    
    public static void finer(String message) {
        //tbd FIXME NYI
 //       System.out.println(message);
    }
    
    public static void finest(String message) {
        //tbd FIXME NYI
  //      System.out.println(message);
    }
    
    public static void info(String message) {
        //tbd FIXME NYI
        //System.out.println(message);
    }
    
    public static void info(String message, Throwable exception) {
        System.out.println(message);
        exception.printStackTrace();
    }
    
    public static void fine(String message, Throwable exception) {
        System.out.println(message);
        exception.printStackTrace();
    }
    public static void error(String message, Throwable exception) {
        System.out.println(message);
        exception.printStackTrace();
    }
    
     public static void warning(String message, Throwable exception) {
        System.out.println(message);
        exception.printStackTrace();
    }
     
       public static void warning(String message) {
        System.out.println(message);
    }
       
    
}
